Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000124Bananian Linux[All Projects] Userlandpublic2015-04-10 01:462016-04-03 09:23
Reporterjekader 
Assigned ToNico 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version15.04 
Target Version16.04Fixed in Version16.04 
Summary0000124: package bananian-update as a .deb file
DescriptionAs a repo was added to 15.04 it is a good idea to move all packages to it and avoid any manually built and unmanaged files

This issue is created to track packaging and including bananian-update
Steps To Reproduce# which bananian-update
/usr/local/bin/bananian-update
#  dpkg -S /usr/local/bin/bananian-update
dpkg-query: no path found matching pattern /usr/local/bin/bananian-update
Additional InformationI think some thought must be given to the whole update process. Running shell scripts off the internet is not the best option in my opinion, especially when such tools as APT are available.
Ideally it should be possible to update with plain APT. bananian-update can be left for novice users.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000012resolvedNico Kernel Update Script and other stuff as an apt repository 
related to 0000118resolvedNico package swconfig as a .deb file 
related to 0000199resolvedNico Introduce "bananian-settings" to replace all entries in /etc/rc.local 

-  Notes
(0000208)
Nico (manager)
2015-04-10 14:18

That is exactly the plan with the repository. See related tickets for more information.
(0000209)
jekader (reporter)
2015-04-10 15:12

Good to hear that it's part of the plan. I think having a bug open for each individual package is useful to visualize the scope and progress better.

With bananian-update I think it would be best to leave it for user space modifications (config files, etc) and move all actual package updates to be handled by apt.

- Issue History
Date Modified Username Field Change
2015-04-10 01:46 jekader New Issue
2015-04-10 14:16 Nico Relationship added related to 0000012
2015-04-10 14:17 Nico Relationship added related to 0000118
2015-04-10 14:17 Nico Assigned To => Nico
2015-04-10 14:17 Nico Status new => assigned
2015-04-10 14:17 Nico Target Version => 16.04
2015-04-10 14:18 Nico Note Added: 0000208
2015-04-10 15:12 jekader Note Added: 0000209
2016-03-25 12:40 Nico Relationship added related to 0000199
2016-04-03 09:23 Nico Status assigned => resolved
2016-04-03 09:23 Nico Fixed in Version => 16.04
2016-04-03 09:23 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker